Subject: Re: [PATCH net-next v2 3/6] smsc95xx: add PAL support to use external PHY drivers

From: Andrew Lunn <[email-masked]>
Date: Fri, 24 Jul 2020 17:34:45 +0200

> > > +static void smsc95xx_handle_link_change(struct net_device *net)
> > > +{
> > > +     phy_print_status(net->phydev);
> > 
> > So the MAC does not care about the speed? The pause configuration?
> > Duplex?
> 
> Now, I'm wondering how those "care about speed", "pause", and "duplex"
> work in the current smsc95xx.  I guess, we did not touch any of those
> activities with our patches.

Yes, this patchset itself is not necessarily wrong. It seems more like
the driver could be broken with respect to these things. It is
something you might want to put on your TODO list to look at later.

	  Andrew